> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update object storage bucket

> Update an object storage bucket.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json patch /buckets/{filesystem}
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /buckets/{filesystem}:
    patch:
      tags:
        - Object Storage Buckets
      summary: Update object storage bucket
      description: Update an object storage bucket.
      operationId: public.buckets.update
      parameters:
        - name: filesystem
          in: path
          required: true
          description: The filesystem identifier
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFilesystemRequest'
      responses:
        '200':
          description: '`FilesystemResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FilesystemResource'
                  included:
                    type: array
                    items:
                      $ref: '#/components/schemas/FilesystemKeyResource'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateFilesystemRequest:
      type: object
      properties:
        name:
          type: string
          pattern: ^[a-z0-9_-]+$
          minLength: 3
          maxLength: 40
        visibility:
          $ref: '#/components/schemas/FilesystemVisibility'
        allowed_origins:
          type:
            - array
            - 'null'
          description: >-
            This field is deprecated and will be removed May 17th, 2026. Please
            use `cors_settings.allowed_origins` instead.
          items:
            type: string
            format: uri
        cors_settings:
          type: object
          properties:
            allowed_origins:
              type:
                - array
                - 'null'
              items:
                type: string
                format: uri
            allowed_methods:
              type:
                - array
                - 'null'
              items:
                $ref: '#/components/schemas/CorsHttpMethod'
              minItems: 1
            allowed_headers:
              type:
                - array
                - 'null'
              items:
                type: string
            expose_headers:
              type:
                - array
                - 'null'
              items:
                type: string
            max_age_seconds:
              type:
                - integer
                - 'null'
              minimum: 1
      title: UpdateFilesystemRequest
    FilesystemResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - filesystems
        attributes:
          type: object
          properties:
            name:
              type: string
            type:
              $ref: '#/components/schemas/FilesystemType'
            status:
              $ref: '#/components/schemas/FilesystemStatus'
            visibility:
              $ref: '#/components/schemas/FilesystemVisibility'
            jurisdiction:
              $ref: '#/components/schemas/FilesystemJurisdiction'
            endpoint:
              type:
                - string
                - 'null'
            url:
              type:
                - string
                - 'null'
            allowed_origins:
              type: string
            cors_settings:
              type: string
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - type
            - status
            - visibility
            - jurisdiction
            - endpoint
            - url
            - allowed_origins
            - cors_settings
            - created_at
        relationships:
          type: object
          properties:
            keys:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/FilesystemKeyResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: FilesystemResource
    FilesystemKeyResource:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - filesystemKeys
        attributes:
          type: object
          properties:
            name:
              type: string
            permission:
              $ref: '#/components/schemas/FilesystemKeyPermission'
            access_key_id:
              type:
                - string
                - 'null'
            access_key_secret:
              type:
                - string
                - 'null'
            created_at:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - name
            - permission
            - access_key_id
            - access_key_secret
            - created_at
        relationships:
          type: object
          properties:
            filesystem:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/FilesystemResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: FilesystemKeyResource
    FilesystemVisibility:
      type: string
      enum:
        - private
        - public
      title: FilesystemVisibility
    CorsHttpMethod:
      type: string
      enum:
        - GET
        - POST
        - PUT
        - DELETE
        - HEAD
      title: CorsHttpMethod
    FilesystemType:
      type: string
      enum:
        - cloudflare_r2
      title: FilesystemType
    FilesystemStatus:
      type: string
      enum:
        - creating
        - updating
        - available
        - deleting
        - deleted
        - unknown
      title: FilesystemStatus
    FilesystemJurisdiction:
      type: string
      enum:
        - default
        - eu
      title: FilesystemJurisdiction
    FilesystemKeyResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - filesystemKeys
        id:
          type: string
      required:
        - type
        - id
      title: FilesystemKeyResourceIdentifier
    FilesystemKeyPermission:
      type: string
      enum:
        - read_write
        - read_only
      title: FilesystemKeyPermission
    FilesystemResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - filesystems
        id:
          type: string
      required:
        - type
        - id
      title: FilesystemResourceIdentifier
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````